+++
title = "Join our call to make FOSDEM Junior free"
authors = ["nik"]

[taxonomies]
tags = ["Ankündigung"]
zielgruppe = ["Hacker und Maker", "Eltern"]
aspekt = ["Digitale Mündigkeit"]

[extra.depiction]
image = "postcard.png"
alt = "Postcard showing the theses explained in the post"
credits = "Dominik George, CC-BY-SA"
+++

Europe's biggest Free Software development conference,
[FOSDEM](https://fosdem.org/), will be held in Bruxelles.
Join our call to help make its junior programme free,
open, and self-determined for everyone!

<!-- more -->

## FOSDEM Junior

The [FOSDEM Junior](https://fosdem.org/2025/schedule/track/junior/) track is
FOSDEM's programme for children between 7 and 17 years. Established in 2024,
it offers a variety of workshops, mostly held by adult tutors for the young
people who attend.

Organised as part of the ["Code Club"](https://codeclub.org/) series, it is
officially an offer by the Raspberry Pi Foundation. The FOSDEM Junior track
thus shares the Code of Conduct, as well as some technical platforms, with
the foundation.

## Privacy concerns over Code Club platforms

One major issue we see with how FOSDEM Junior is organised is that the platforms
offered by the Raspberry Pi Foundation are governed by privacy policies that
directly contradict many of the values we pursue when working with young people
(and even with people in general). Opening the Code Club website that hosts
the Code of Conduct alone requires consent to **72 "necessary" tracking cookies** of
several providers, among which are Microsoft, Google, Solarwinds, Stripe, and
Cloudflare.

In their privacy policy, Raspberry Pi Foundation reserves the right to collect
an enormous amount of personal information, including such things as physical
addresses, birthdays, gender information, and even "CCTV images".
The latter might arguably only aaply to physical visits to their offices, but the
provacy policy, as it stands, states that every website visitor might be affected
by such data processing.

For "operational reasons", all data may be shared with Google Workspace, Amazon Web
Services machines, and Salesforce. The Raspberry Pi Foundation claims that all these systems
are operated within the UK, which left the European Union, thus posing even mroe dfficulties
on GDPR-compliant data processing when children from within the EU are affected.

## Closed platforms and GAFAM dependencies in workshops

While most of the workshops offered in FOSDEM Junior are based on free and open source
toosl and platforms, some stand out for requiring the use of closed platforms. For example,
the MIT App Inventor workshop requires to have a Google account, and, while the workshop
description claims that an "Android phone or tablet" is required, it turns out that using
and Android-based phone will probably not suffice, as MIT App Inventor relies on
Google Play Services.

## Limited self-determination in FOSDEM Junior

As a result of the above issues, FOSDEM Junior requires all participants to be accompanied
by a parent or other adult guardian. With the privacy-unfriendly policies of the Raspberry
Pi Foundation in place, children and adolescents essentially cannot decide to agree or
disagree.

While getting parental consent is not an issue in itself, the requirement to agree to (or have
a guardian consent to) the extensive data collection, locks out children who are not willing
to consent. What we regularly see at Teckids events is that many parents tend to put a high
importance on fostering their children's coding activities, hence being very likely to agree
to policies that the children themselves, after proper information and discussion, would
probably not agree to. Children themselves, on the other hand, tend to agree to policies they
would not normally agree to if put under the social pressure to do so.

Therefore, we believe that programmes for children should carefully design their data processing,
allowing children to fully understand policies and consequences, and making agreeing as
easy as possible without compromising their self-determination.

Requiring a Google phone or access to other commercial platforms normalises the use of comemrcial
software. Children who would normally resist social pressure of their peer groups to join
commercial platforms, like WhatsApp or other corporate social media, are more likely to give
up such resistance in the future after experiencing that persons of authority have normalised
their use.

Commercial platforms, like Google Play, are prone to much stricter access restrictions due to
their commercial chracter and their data processing principles. Hence, young people are
often required to either depend on a parent to use such platforms, or use them illegally.

At Teckids, we believe that programmes targeted at children and organised by free software
activists should make normalisation of free, open, accessible platforms a priority.

## Join our call to FOSDEM Junior

At FOSDEM 2025, we present our "Charta of Comprehesibility" programme for the first time
by reaching out to FOSDEM Junior and the FOSDEM team. Our goal is to convince FOSDEM
Junior to revise their policies, making the freedom and self-determination of all
participants a priority. In essence, we will be calling for the following principles:

* Technology and tools should be free, open, and transparent.
* Platforms should be privacy-friendly and accessible without age restrictions.
* Participation should be free and self-determined for all groups and ages.
* Children should have the last say concerning their data and privacy.
* Commercial offerings and advertising should be avoided where at all possible.

Just as we did in 2018 and 2019, we once again offer our experience and expertise
in working with young people in the free software world to support FOSDEM Junior,
allowing for a workshop programme that respects the children's free and self-determined
participation to the maximum extent.

![Postcard containing above claims](psotcard.png)

**If you want to join our call, visit us at our stand in building F.**
